Description

For some numeric fields thousand separator are desirable (e.g. for large numbers), but for other numeric fields, they are not desirable

(e.g. a zipcode).

We would like to be able to configure per field/widget in QGIS desktop if the thousand separator is displayed (or alternatively be able to

provid a format for a number) - e.g. like in https://www.postgresql.org/docs/11/functions-formatting.html

The same formatting should be used on both Desktop and server in GetFeatureInfo queries.

We want to avoid GetFeatureInfo results like in the screenshot attached.

History

#1 - 2019-03-28 07:06 PM - Jürgen Fischer

There currently isn't even a way to disable the thousand separators in server at all, is there? locale/showGroupSeparator is only evaluated is app, but not

server.  IMHO separators should be off be default and only enabled where desired.

#2 - 2019-03-29 09:18 AM - Andreas Neumann

I agree. Disabling thousand separator globally would already solve our main problem. We ware not obliged to serve the thousand separators, but we need

to able to disable them.

#3 - 2019-03-30 04:42 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#4 - 2019-04-01 05:27 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Category changed from Edit widget to QGIS Server

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/9671

#5 - 2019-04-11 11:23 PM - Alessandro Pasotti

- Status changed from In Progress to Closed
